[arch-commits] Commit in hydrogen/trunk (5 files)

Giovanni Scafora giovanni at archlinux.org
Wed Dec 2 20:17:24 UTC 2009


    Date: Wednesday, December 2, 2009 @ 15:17:24
  Author: giovanni
Revision: 60282

upgpkg: hydrogen 0.9.4-1
    upstream release

Modified:
  hydrogen/trunk/PKGBUILD
Deleted:
  hydrogen/trunk/hydrogen-0.9.3-flac113.patch
  hydrogen/trunk/hydrogen-gcc-4.1.patch
  hydrogen/trunk/hydrogen.desktop
  hydrogen/trunk/hydrogen.install

------------------------------+
 PKGBUILD                     |   45 ++++++++++++-----------------------------
 hydrogen-0.9.3-flac113.patch |   45 -----------------------------------------
 hydrogen-gcc-4.1.patch       |   11 ----------
 hydrogen.desktop             |   19 -----------------
 hydrogen.install             |   35 -------------------------------
 5 files changed, 14 insertions(+), 141 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-02 19:39:59 UTC (rev 60281)
+++ PKGBUILD	2009-12-02 20:17:24 UTC (rev 60282)
@@ -1,42 +1,25 @@
 # $Id$
 # Maintainer: tobias <tobias at archlinux.org>
 # Contributor: K. Piche <kpiche at rogers.com>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
-# rebuild 0.9.3-4 -> 0.9.3-5 : bug 7745 drumkits do not load - damir
-
 pkgname=hydrogen
-pkgver=0.9.3
-pkgrel=6
-pkgdesc="an advanced drum machine/pattern editor with midi support for GNU/Linux"
-arch=("i686" "x86_64")
+pkgver=0.9.4
+pkgrel=1
+pkgdesc="Advanced Drum Machine"
+arch=('i686' 'x86_64')
 license=('GPL')
 url="http://www.hydrogen-music.org/"
-depends=('liblrdf' 'qt3' 'jack-audio-connection-kit>=0.102.20-2')
+depends=('libarchive' 'liblrdf' 'qt' 'jack-audio-connection-kit>=0.116.2-2')
+makedepends=('scons')
 options=('!makeflags')
-install=hydrogen.install
-source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz
-        ${pkgname}.desktop
-	hydrogen-gcc-4.1.patch
-	hydrogen-0.9.3-flac113.patch)
-md5sums=('d5840b5d330d433d00ea1727efb0fc7f'
-	  '8d6eacef58aa22cdba97485f9bdbb4b3'
-	  'e43555677b71dcf988a5e85a2304c301'
-	  '2fc3124d42d210e769428f149047fe32')
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('69b0e35a5bba8151347c5e6ec9e8e4f3')
 
 build() {
-  . /etc/profile.d/qt3.sh
-  cd ${startdir}/src/${pkgname}-${pkgver}
- # build
-  patch -Np0 -i ${startdir}/src/hydrogen-gcc-4.1.patch || return 1
-  patch -Np0 -i ${startdir}/src/hydrogen-0.9.3-flac113.patch || return 1
-  ./configure --prefix=/usr
-  make || return 1
-  make DESTDIR=${startdir}/pkg install
- # install some freedesktop.org compatibility
-  install -D -m644 ${startdir}/src/${pkgname}.desktop \
-    ${startdir}/pkg/usr/share/applications/${pkgname}.desktop
-  mkdir ${startdir}/pkg/usr/share/pixmaps
-  cd ${startdir}/pkg/usr/share/pixmaps
-  ln -s ../hydrogen/data/img/gray/icon.svg ./hydrogen.svg
-  ln -s ../hydrogen/data/img/gray/icon64.png ./hydrogen.png
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  export QTDIR=/usr
+  scons prefix=/usr libarchive=1 || return 1
+  scons DESTDIR="${pkgdir}" install || return 1
 }

Deleted: hydrogen-0.9.3-flac113.patch
===================================================================
--- hydrogen-0.9.3-flac113.patch	2009-12-02 19:39:59 UTC (rev 60281)
+++ hydrogen-0.9.3-flac113.patch	2009-12-02 20:17:24 UTC (rev 60282)
@@ -1,45 +0,0 @@
---- src/lib/FLACFile.cpp.old	2007-02-11 20:12:34.000000000 +0100
-+++ src/lib/FLACFile.cpp	2007-02-11 20:18:25.000000000 +0100
-@@ -33,6 +33,13 @@
- //#include "FLAC/file_decoder.h"
- #include <FLAC++/all.h>
- 
-+#if !defined(FLAC_API_VERSION_CURRENT) || FLAC_API_VERSION_CURRENT < 8
-+#define LEGACY_FLAC
-+#else
-+#undef LEGACY_FLAC
-+#endif
-+
-+
- /// Reads a FLAC file...not optimized yet
- class FLACFile_real : public FLAC::Decoder::File, public Object
- {
-@@ -164,16 +171,28 @@
- 	}
- 
- 	set_metadata_ignore_all();
-+
-+#ifdef LEGACY_FLAC
- 	set_filename( sFilename.c_str() );
- 
- 	State s=init();
- 	if( s != FLAC__FILE_DECODER_OK ) {
-+#else
-+	FLAC__StreamDecoderInitStatus s=init(sFilename.c_str() );
-+	if(s!=FLAC__STREAM_DECODER_INIT_STATUS_OK) {
-+#endif
- 		errorLog( "[load] Error in init()" );
- 	}
- 
-+#ifdef LEGACY_FLAC
- 	if ( process_until_end_of_file() == false ) {
- 		errorLog( "[load] Error in process_until_end_of_file()" );
- 	}
-+#else
-+	if ( process_until_end_of_stream() == false ) {
-+		errorLog( "[load] Error in process_until_end_of_stream()" );
-+	}
-+#endif
- }
- 
- 

Deleted: hydrogen-gcc-4.1.patch
===================================================================
--- hydrogen-gcc-4.1.patch	2009-12-02 19:39:59 UTC (rev 60281)
+++ hydrogen-gcc-4.1.patch	2009-12-02 20:17:24 UTC (rev 60282)
@@ -1,11 +0,0 @@
---- src/lib/xml/tinyxml.h.orig	2006-05-13 00:39:24.000000000 +0300
-+++ src/lib/xml/tinyxml.h	2006-05-13 00:39:53.000000000 +0300
-@@ -823,7 +823,7 @@
- #endif
- 
- 	/// Construct.
--	TiXmlDeclaration::TiXmlDeclaration( const char * _version,
-+	TiXmlDeclaration( const char * _version,
- 										const char * _encoding,
- 										const char * _standalone );
- 

Deleted: hydrogen.desktop
===================================================================
--- hydrogen.desktop	2009-12-02 19:39:59 UTC (rev 60281)
+++ hydrogen.desktop	2009-12-02 20:17:24 UTC (rev 60282)
@@ -1,19 +0,0 @@
-[Desktop Entry]
-Encoding=UTF-8
-Version=1.0
-
-Name=Hydrogen Drum Machine
-Name[de]=Hydrogen Drumsequencer
-Name[ru]=Драм-машина Hydrogen
-Comment=Create drum sequences
-Comment[de]=Schlagzeugsequenzen erstellen
-Comment[ru]=Создание партий ударных инструментов
-
-Exec=hydrogen %F
-TryExec=hydrogen
-Icon=hydrogen
-Terminal=false
-StartupNotify=true
-X-MultipleArgs=false
-Type=Application
-Categories=Qt,Application;AudioVideo;Sound;Audio;Sequencer;

Deleted: hydrogen.install
===================================================================
--- hydrogen.install	2009-12-02 19:39:59 UTC (rev 60281)
+++ hydrogen.install	2009-12-02 20:17:24 UTC (rev 60282)
@@ -1,35 +0,0 @@
-# this is the scrollkeeper handling sample file
-
-post_install() {
-  cat << EOM
-
-  --> hydrogen can run via OSS support or via jack also on ALSA platforms. If
-  --> you like to run it with jack and its realtime capabilities you will have
-  --> to run hydrogen with kernels > 2.6.12
-
-  --> NOTE: As of kernel 2.6.12 in concert with pam-0.79-3 and later it is
-  --> possible to provide realtime capabilities to certain user groups. Running
-  --> jack, qjackctl and subsequent programs like hydrogen as root isn't
-  --> necessary any longer nor is it recommended any more!!!
-
-  --> Read: http://bbs.archlinux.org/viewtopic.php?p=97617#97617
-
-EOM
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_remove() {
-  /bin/true
-}
-
-post_remove() {
-  /bin/true
-}
-
-op=$1
-shift
-
-$op $*




More information about the arch-commits mailing list